Pipelines
Create pipeline
POST /api/pipelines
string
required
Human readable name of the pipeline.
string
required
The type of the pipeline:
integration, pyspark, python, streaming
Note that python is a standard (batch) pipeline with a python backend, while pyspark is a batch pipeline with a spark backend.array of strings
Non-empty tag names to associate with the pipeline. Tag names are trimmed and duplicate names are
ignored before persistence. Each tag name cannot exceed 70 characters.
string
If supplied, the uuid of a pipeline to clone.
array of objects
Mage Pro only. Pipeline-level callback configuration for callback blocks that should run once
after the pipeline run reaches a terminal status. Callback decorators inside the callback block
determine the behavior for success, failure, and cancellation.
array of objects
Array of conditional block objects. Same shape as
blocks.